.ganttview-jobs {
	overflow: hidden;
}

.ganttview-jobs-grid {
	position: relative;
	height: 0;
}

div.ganttview-jobs-hzheader-month,
div.ganttview-jobs-hzheader-day,
div.ganttview-jobs-vtheader,
div.ganttview-jobs-vtheader-item-name,
div.ganttview-jobs-vtheader-series,
div.ganttview-jobs-grid,
div.ganttview-jobs-grid-row-cell {
	float: left;
}

div.ganttview-jobs-hzheader-month,
div.ganttview-jobs-hzheader-day {
	text-align: center;
}

div.ganttview-jobs-grid-row-cell.last,
div.ganttview-jobs-hzheader-day.last,
div.ganttview-jobs-hzheader-month.last {
	border-right: none;
}

div.ganttview-jobs {
	border-top-left-radius: 6px;
	border-top: 1px solid rgb(193, 199, 208);
	border-left: 1px solid rgb(193, 199, 208);
}

div.ganttview-jobs-hzheader-month {
	width: 60px;
	height: 54px;
	border-right: 1px solid rgb(223, 225, 230);
	line-height: 54px;
	background-color: rgb(244, 245, 247); 
	border-bottom: 1px solid rgb(223, 225, 230);

	color: #707070;
	font-size: 13px;
    font-weight: 500;
}

.weekly-view-header {
	height: 34px!important;
	line-height: 34px!important;
	border-bottom: none!important;
}

div.ganttview-jobs-hzheader-day {
	width: 20px;
	/* width: 24px; */
	width: 27px;
	height: 20px;
	border-right: 1px solid #f0f0f0;
	border-bottom: 1px solid #d0d0d0;
	background-color: rgb(244, 245, 247);
	font-size: 12px;
	line-height: 20px;
	color: #777;
}

/* Vertical Header */

.ganttview-jobs-vtheader-spacer {
	height: 54px;
    background-color: rgb(244, 245, 247);
    border-bottom: 1px solid rgb(223, 225, 230);
    position: relative;
    z-index: 1;
    margin-bottom: -1px;
    padding-left: 20px;
    color: #222;
    line-height: 54px;
	font-size: 15px;
	border-top-left-radius: 5px;
}

div.ganttview-jobs-vtheader {
	min-width: 320px;
	background-color: #fff;
	min-height: 100%;
}

div.ganttview-jobs-vtheader .ui-resizable-handle > div {
	margin-left: 2px;
	width: 2px;
	height: 100%;
}

div.ganttview-jobs-vtheader .ui-resizable-handle:hover > div {
	transition: all .1s ease-in-out;
	background-color: #3399FF;
}

div.ganttview-jobs-vtheader-item {
	overflow: hidden;
	color: #666;

	cursor: pointer;
}

div.ganttview-jobs-vtheader-item > div:first-child {
	line-height: 54px;
	height: 54px;
}

div.ganttview-jobs-vtheader-item-alt {
	background-color: rgb(244, 245, 247);
}

.ganttview-jobs div.ganttview-jobs-vtheader-item-name {
	width: 100px;
	line-height: 16px;
    padding-top: 19px;
	color: #333;
	
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    width: 76%;
    font-size: 13px;
    font-weight: 600;
	/* cursor: pointer; */
}

div.ganttview-jobs-add-row {
	margin: 4px 16px;
	border-radius: 5px;
}

div.ganttview-jobs-add-row > div:first-child {
	line-height: 35px;
	height: 35px;
	overflow: auto;
	cursor: pointer;
}

div.ganttview-jobs-add-row > div:first-child div {
	padding: 0 6px;
}

div.ganttview-jobs-add-row > div:first-child div span {
	float: left;
	margin-top: 5px;
    margin-right: 5px;
}

div.ganttview-jobs-add-row > div:first-child div div {
	float: left;
	font-size: 13px;
	font-weight: 600;
}

div.ganttview-jobs-add-row > div:first-child input {
	border: 2px solid #3399FF;
	width: 100%;
	border-radius: 4px;
	padding: 6px 10px;
	display: none;
}

div.ganttview-jobs-add-row.job-input div:first-child input {
	display: block;
}

div.ganttview-jobs-add-row.job-input div:first-child div {
	display: none;
}

div.ganttview-jobs-vtheader-series-name {
	width: 130px;
	height: 44px;
	border-top: 1px solid #d0d0d0;
	line-height: 16px;
	padding-left: 5px;
}


/* Slider */

div.ganttview-jobs-slide-container {
	overflow: auto;
	border-left: 2px solid rgb(193, 199, 208);
	height: 100%;
}


/* Grid */

div.ganttview-jobs-grid-row-cell {
	width: 8px;
	border-right: 1px solid transparent;
	height: 54px;
	/* height: 27px; */
	/* border-right: 1px solid #f0f0f0; */
	/* border-top: 1px solid #f0f0f0; */
}

.weekly-row-cell {
	/* width: 24px!important; */
	width: 27px!important;
}

div.ganttview-jobs-grid-row-cell-end {
	border-right: 1px solid #ddd;
}

.ganttview-jobs-block-container-alt {
	background-color: rgb(244, 245, 247);
}

.job-row-hover {
	background-color: #EBECF0!important;
}

div.ganttview-jobs-grid-row-cell.ganttview-jobs-weekend {
	background-color: #fafafa;
}


/* Blocks */

div.ganttview-jobs-blocks {
	margin-top: 54px;
	position: relative;
	z-index: 1;
	min-height: 90%;
}

div.ganttview-jobs-block-container {
	min-height: 54px;
}

div.ganttview-jobs-block-container > div:first-child {
	min-height: 41px;
    padding-top: 13px;
}

div.ganttview-jobs-block {
	position: relative;
	height: 28px;
	background-color: #E5ECF9;
	border-radius: 3px;
	-moz-border-radius: 3px;
	-webkit-border-radius: 3px;

	background-color: rgb(0, 163, 191)!important;
	background-color: rgb(0, 163, 191, .3)!important;
}

div.ganttview-jobs-block.undefined-start {
	border-radius: 9px 3px 3px 9px;
	/* background: linear-gradient(90deg, rgb(121, 226, 242) 0%, rgb(0, 163, 191) 30%); */
	background: linear-gradient(90deg, rgb(121, 226, 242, .4) 0%, rgb(0, 163, 191, .4) 30%);
	
	width: 291px;
}

div.ganttview-jobs-block.undefined-end {
	border-radius: 3px 9px 9px 3px;
	/* background: linear-gradient(90deg, rgb(0, 163, 191) 70%, rgb(121, 226, 242) 100%); */
	background: linear-gradient(90deg, rgb(0, 163, 191, .4) 70%, rgb(121, 226, 242, .4) 100%);
	width: 291px;
}

div.ganttview-jobs-block.undefined-both {
	border-radius: 9px;
	/* background: linear-gradient(90deg, rgb(121, 226, 242) 0%, rgb(0, 163, 191) 30%, rgb(0, 163, 191) 70%, rgb(121, 226, 242) 100%); */
	background: linear-gradient(90deg, rgb(121, 226, 242, .4) 0%, rgb(0, 163, 191, .4) 30%, rgb(0, 163, 191, .4) 70%, rgb(121, 226, 242, .4) 100%);
	width: 291px;
}

div.ganttview-jobs-block-text {
	position: absolute;
	height: 12px;
	font-size: 0.8em;
	color: #999;
	padding: 2px 3px;
}


/* Adjustments for jQuery UI Styling */

div.ganttview-jobs-block div.ui-resizable-handle.ui-resizable-s {
	bottom: -0;
}

div.ganttview-jobs-block div.ui-resizable-handle.ui-resizable-e,
div.ganttview-jobs-block div.ui-resizable-handle.ui-resizable-w {
	width: 6px;
	height: 26px;
	background-color: rgb(0, 199, 230);
	border-radius: 3px;
	margin: 4px 10px;
	display: none!important;
}

div.ganttview-jobs-block:hover div.ui-resizable-handle.ui-resizable-e,
div.ganttview-jobs-block:hover div.ui-resizable-handle.ui-resizable-w {
	display: block!important;
}

div.ganttview-jobs-block:hover {
	cursor: default!important;
}

.today-cursor {
	background: orange;
    width: 2px;
    height: 100%;
	position: absolute;
	z-index: 2;
}

.today-cursor::before {
	content: "";
    position: absolute;
    height: 0px;
    width: 0px;
    top: 0px;
    left: -3px;
    border-left: 4px solid transparent;
    border-right: 4px solid transparent;
    border-top: 8px solid rgb(255, 153, 31);
}

.month-column {
	position: absolute;
    top: 0px;
    bottom: 0px;
    box-sizing: border-box;
    flex: 0 0 auto;
	border-right: 1px solid rgb(223, 225, 230);
	pointer-events: none;
}

.month-column > div {
	position: absolute;
    top: 0px;
    left: -1px;
    right: -1px;
    height: 100%;
    box-sizing: border-box;
    border-right: 1px solid rgba(9, 30, 66, 0.02);
}

.month-column-today > div {
    background-color: rgba(9, 30, 66, 0.04);
}

#ganttChart {
	width: 100%!important;
}

.row-series {
	overflow: hidden;
	height: 0;
}

.row-series.open {
	height: auto;
}

.row-series > div {
	padding: 8px 0;
	height: 16px;
}

.row-series > div > span {
	background-color: rgb(223, 225, 230);
    box-sizing: border-box;
    color: rgb(66, 82, 110);
    display: inline-block;
    font-size: 11px;
    font-weight: 600;
    line-height: 1;
    max-width: 100%;
    text-transform: uppercase;
    vertical-align: baseline;
    border-radius: 3px;
	padding: 2px 0px 3px;
	padding-left: 4px;
	padding-right: 4px;
	position: relative;
	float: left;
}

.row-series-task {
	overflow: hidden;
	height: 0;
}

.row-series-task.open {
	height: auto;
}

.row-series-task > div {
	padding: 8px 0;
	height: 16px;
	padding-left: 45px;
	
	padding-left: 21px;
}

.row-series-task > div > span {
    box-sizing: border-box;
    color: rgb(66, 82, 110);
    display: inline-block;
    font-size: 13px;
    line-height: 1;
    max-width: 100%;
    vertical-align: baseline;
    border-radius: 3px;
	padding: 2px 0px 3px;
	padding-left: 4px;
	padding-right: 4px;
	float: left;
	font-weight: 600;
    color: #444;
}

.ganttview-jobs .job-list-arrow {
	float: left; 
	color: rgb(66, 82, 110);
	fill: rgb(255, 255, 255);
	flex-shrink: 0;
	line-height: 1;
	margin: 8px 1px;
	margin-top: 15px;
}

.ganttview-jobs .job-list-arrow-all {
	float: left;
    color: rgb(66, 82, 110);
    fill: rgb(255, 255, 255);
    flex-shrink: 0;
    line-height: 1;
    margin: 13px 1px;
    margin-top: 15px;
    margin-left: -20px;
}

.ganttview-jobs .job-list-arrow-all.opened {
	transform: rotate(90deg)!important;
}

.ganttview-jobs .job-list-icon {
	float: left;
    margin-top: 20px;
	margin-right: 8px;
	
	width: 15px;
	height: 15px;
	background-color: rgb(0, 163, 191);
    border-radius: 3px;
}

.ganttview-jobs .row-job-progress {
	background-color: #ccc;
	height: 4px;
	border-radius: 2px;
	margin-top: 4px;
	width: 100%;
	max-width: 172px;
	overflow: hidden;
	position: relative;
}

.ganttview-jobs .row-job-progress > div {
	position: absolute;
	top: 0;
	left: 0;
	bottom: 0;
}

.ganttview-jobs .row-job-progress > div.bluebar {
	background-color: rgb(0, 82, 204);
	width: 0;
}

.ganttview-jobs .row-series-task > div > div {
	float: left;
    border-radius: 3px;
    margin: 2px 6px;
    width: 12px;
    height: 12px;
}

.ganttview-jobs .row-job-progress > div.greenbar {
	background-color: rgb(54, 179, 126);
	width: 0;
}

.ganttview-jobs .resizing-block-label {
	position: absolute; 
	top: 16px;
	font-size: 12px;
	color: #555;
	font-weight: 600;
}

.ganttview-jobs .resizing-block-label-left {
	position: absolute; 
	top: 9px; 
	left: -70px;
}

.ganttview-jobs .resizing-block-label-right {
	position: absolute; 
	top: 9px; 
	right: -70px;
}

.ganttview-jobs-sub-block {
	position: absolute;
	top: 0;
	left: 0;
	height: 28px;
	border-radius: 3px 0 0 3px;
	border-right: 1px solid #fff;
	background-color: #fff;
}

.ganttview-jobs-sub-block > div {
	height: 28px;
	border-radius: 3px 0 0 3px;
}

.ganttview-jobs-sub-block:first-child {
	border-radius: 3px;
}

.ganttview-jobs-sub-block:first-child > div {
	border-radius: 3px;
}